## org.omg.CORBA
Class PolicyListHolder

    java.lang.Object
      |
      +--org.omg.CORBA.PolicyListHolder

All Implemented Interfaces:
  Streamable

public final class PolicyListHolder
extends java.lang.Object
implements Streamable

Holder class for : PolicyList

Author:
  OpenORB Compiler

Field Summary
`Policy[]` `value` Internal PolicyList value

Constructor Summary
`PolicyListHolder()` Default constructor
`PolicyListHolder(Policy[] initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read PolicyList from a marshalled stream
`TypeCode` `_type()` Return the PolicyList TypeCode
`void` `_write(OutputStream ostream)` Write PolicyList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Policy[] value

  Internal PolicyList value

Constructor Detail

### PolicyListHolder

    public PolicyListHolder()

  Default constructor

### PolicyListHolder

    public PolicyListHolder(Policy[] initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read PolicyList from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write PolicyList into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the PolicyList TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode